use std::io;

fn convert(temp: f64) -> f64 {
    let mut celsius = temp - 32_f64;
    let five_div_nine = 5.0 / 9.0;
    celsius *= five_div_nine;
    return celsius;
}

fn main() {
    println!("Fahrenheit to Celsius converter");
    println!("Type press \"ctrl+c\" to end the program");
    loop {
        let mut input = String::new();
        println!("Please inout the temperature in Fahrenheit");
        io::stdin()
            .read_line(&mut input)
            .expect("Failed to read line");
        let input: f64 = match input.trim().parse() {
            Ok(num) => num,
            Err(_) => continue,
        };
        println!("{}℉ is {}℃", input, convert(input));
    }
}
